module Exports::SalesLogExportConstants
  MAX_XML_RECORDS = 10_000
  LOG_ID_OFFSET = 300_000_000_000

  EXPORT_MODE = {
    xml: 1,
    csv: 2,
  }.freeze

  EXPORT_FIELDS = Set["ID",
                      "STATUS",
                      "DAY",
                      "MONTH",
                      "YEAR",
                      "DUPLICATESET",
                      "CREATEDDATE",
                      "UPLOADDATE",
                      "OWNINGORGID",
                      "OWNINGORGNAME",
                      "MANINGORGID",
                      "MANINGORGNAME",
                      "USERNAME",
                      "USERNAMEID",
                      "PURCHID",
                      "TYPE",
                      "OWNERSHIP",
                      "COLLECTIONYEAR",
                      "JOINTMORE",
                      "JOINT",
                      "BEDS",
                      "ETHNIC",
                      "ETHNICGROUP1",
                      "LIVEINBUYER1",
                      "BUILTYPE",
                      "PROPTYPE",
                      "NOINT",
                      "LIVEINBUYER2",
                      "PRIVACYNOTICE",
                      "WHEEL",
                      "HHOLDCOUNT",
                      "LA",
                      "INCOME1",
                      "INC1NK",
                      "INC1MORT",
                      "INCOME2",
                      "INC2NK",
                      "SAVINGSNK",
                      "SAVINGS",
                      "PREVOWN",
                      "AMENDEDBY",
                      "AMENDEDBYID",
                      "MORTGAGE",
                      "INC2MORT",
                      "HB",
                      "FROMBEDS",
                      "STAIRCASE",
                      "STAIRBOUGHT",
                      "STAIROWNED",
                      "MRENT",
                      "MRENTPRESTAIRCASING",
                      "RESALE",
                      "DEPOSIT",
                      "CASHDIS",
                      "DISABLED",
                      "VALUE",
                      "EQUITY",
                      "DISCOUNT",
                      "GRANT",
                      "PPCODENK",
                      "PPOSTC1",
                      "PPOSTC2",
                      "PREVLOC",
                      "PREVLOCNAME",
                      "PREVIOUSLAKNOWN",
                      "HHREGRES",
                      "HHREGRESSTILL",
                      "PROPLEN",
                      "HASMSCHARGE",
                      "MSCHARGE",
                      "PREVTEN",
                      "MORTGAGEUSED",
                      "WCHAIR",
                      "ARMEDFORCESSPOUSE",
                      "HODAY",
                      "HOMONTH",
                      "HOYEAR",
                      "FROMPROP",
                      "SOCPREVTEN",
                      "MORTLEN1",
                      "EXTRABOR",
                      "HHTYPE",
                      "POSTCODE",
                      "ISLAINFERRED",
                      "BULKUPLOADID",
                      "VALUE_VALUE_CHECK",
                      "PREVSHARED",
                      "STAIRCASETOSALE",
                      "ETHNICGROUP2",
                      "ETHNIC2",
                      "BUY2LIVING",
                      "PREVTEN2",
                      "UPRN",
                      "ADDRESS1",
                      "ADDRESS2",
                      "TOWNCITY",
                      "COUNTY",
                      "LANAME",
                      "CREATIONMETHOD",
                      "NATIONALITYALL1",
                      "NATIONALITYALL2",
                      "MSCHARGE_VALUE_CHECK",
                      "ADDRESS1INPUT",
                      "POSTCODEINPUT",
                      "ADDRESS_SEARCH_VALUE_CHECK",
                      "UPRNSELECTED",
                      "BULKADDRESS1",
                      "BULKADDRESS2",
                      "BULKTOWNCITY",
                      "BULKCOUNTY",
                      "BULKPOSTCODE",
                      "BULKLA",
                      "CREATEDBY",
                      "CREATEDBYID",
                      "HASESTATEFEE",
                      "ESTATEFEE",
                      "FIRSTSTAIR",
                      "NUMSTAIR",
                      "STAIRLASTDAY",
                      "STAIRLASTMONTH",
                      "STAIRLASTYEAR",
                      "STAIRINITIALYEAR",
                      "STAIRINITIALMONTH",
                      "STAIRINITIALDAY",
                      "HASSERVICECHARGES",
                      "SERVICECHARGES",]

  (1..6).each do |index|
    EXPORT_FIELDS << "AGE#{index}"
    EXPORT_FIELDS << "ECSTAT#{index}"
    EXPORT_FIELDS << "SEX#{index}"
  end

  (2..6).each do |index|
    EXPORT_FIELDS << "RELAT#{index}"
  end
end
